## org.apache.xml.serializer.utils
Class MsgKey

    java.lang.Object
      org.apache.xml.serializer.utils.MsgKey

    public class MsgKey

extends java.lang.Object

This class is not a public API, It is used internally by serializer and is public, in the Java sense, only because its use crosses package boundaries.

This class holds only the message keys used when generating messages.

Field Summary
`static java.lang.String` `BAD_MSGFORMAT` An internal error with the messages, this is the message to use if the message format operation failed.
`static java.lang.String` `BAD_MSGKEY` An internal error with the messages, this is the message to use if the message key can't be found
`static java.lang.String` `ER_BUFFER_SIZE_LESSTHAN_ZERO`
`static java.lang.String` `ER_CANNOT_INIT_URI_EMPTY_PARMS`
`static java.lang.String` `ER_COULD_NOT_LOAD_METHOD_PROPERTY`
`static java.lang.String` `ER_COULD_NOT_LOAD_RESOURCE`
`static java.lang.String` `ER_ENCODING_NOT_SUPPORTED`
`static java.lang.String` `ER_FACTORY_PROPERTY_MISSING`
`static java.lang.String` `ER_FRAG_FOR_GENERIC_URI`
`static java.lang.String` `ER_FRAG_INVALID_CHAR`
`static java.lang.String` `ER_FRAG_WHEN_PATH_NULL`
`static java.lang.String` `ER_HOST_ADDRESS_NOT_WELLFORMED`
`static java.lang.String` `ER_ILLEGAL_ATTRIBUTE_POSITION`
`static java.lang.String` `ER_ILLEGAL_CHARACTER`
`static java.lang.String` `ER_INVALID_PORT`
`static java.lang.String` `ER_INVALID_UTF16_SURROGATE`
`static java.lang.String` `ER_NAMESPACE_PREFIX`
`static java.lang.String` `ER_NO_FRAGMENT_STRING_IN_PATH`
`static java.lang.String` `ER_NO_PORT_IF_NO_HOST`
`static java.lang.String` `ER_NO_QUERY_STRING_IN_PATH`
`static java.lang.String` `ER_NO_SCHEME_IN_URI`
`static java.lang.String` `ER_NO_SCHEME_INURI`
`static java.lang.String` `ER_NO_USERINFO_IF_NO_HOST`
`static java.lang.String` `ER_OIERROR`
`static java.lang.String` `ER_PATH_CONTAINS_INVALID_ESCAPE_SEQUENCE`
`static java.lang.String` `ER_PATH_INVALID_CHAR`
`static java.lang.String` `ER_PORT_WHEN_HOST_NULL`
`static java.lang.String` `ER_RESOURCE_COULD_NOT_FIND`
`static java.lang.String` `ER_RESOURCE_COULD_NOT_LOAD`
`static java.lang.String` `ER_SCHEME_FROM_NULL_STRING`
`static java.lang.String` `ER_SCHEME_NOT_CONFORMANT`
`static java.lang.String` `ER_SCHEME_REQUIRED`
`static java.lang.String` `ER_SERIALIZER_NOT_CONTENTHANDLER`
`static java.lang.String` `ER_STRAY_ATTRIBUTE`
`static java.lang.String` `ER_STRAY_NAMESPACE`
`static java.lang.String` `ER_XML_VERSION_NOT_SUPPORTED`

Constructor Summary
`MsgKey()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BAD_MSGKEY

    public static final java.lang.String BAD_MSGKEY

  An internal error with the messages, this is the message to use if the message key can't be found

  See Also:
    Constant Field Values

### BAD_MSGFORMAT

    public static final java.lang.String BAD_MSGFORMAT

  An internal error with the messages, this is the message to use if the message format operation failed.

  See Also:
    Constant Field Values

### ER_RESOURCE_COULD_NOT_FIND

    public static final java.lang.String ER_RESOURCE_COULD_NOT_FIND

See Also:
  Constant Field Values

### ER_RESOURCE_COULD_NOT_LOAD

    public static final java.lang.String ER_RESOURCE_COULD_NOT_LOAD

See Also:
  Constant Field Values

### ER_BUFFER_SIZE_LESSTHAN_ZERO

    public static final java.lang.String ER_BUFFER_SIZE_LESSTHAN_ZERO

See Also:
  Constant Field Values

### ER_INVALID_UTF16_SURROGATE

    public static final java.lang.String ER_INVALID_UTF16_SURROGATE

See Also:
  Constant Field Values

### ER_OIERROR

    public static final java.lang.String ER_OIERROR

See Also:
  Constant Field Values

### ER_NAMESPACE_PREFIX

    public static final java.lang.String ER_NAMESPACE_PREFIX

See Also:
  Constant Field Values

### ER_STRAY_ATTRIBUTE

    public static final java.lang.String ER_STRAY_ATTRIBUTE

See Also:
  Constant Field Values

### ER_STRAY_NAMESPACE

    public static final java.lang.String ER_STRAY_NAMESPACE

See Also:
  Constant Field Values

### ER_COULD_NOT_LOAD_RESOURCE

    public static final java.lang.String ER_COULD_NOT_LOAD_RESOURCE

See Also:
  Constant Field Values

### ER_COULD_NOT_LOAD_METHOD_PROPERTY

    public static final java.lang.String ER_COULD_NOT_LOAD_METHOD_PROPERTY

See Also:
  Constant Field Values

### ER_SERIALIZER_NOT_CONTENTHANDLER

    public static final java.lang.String ER_SERIALIZER_NOT_CONTENTHANDLER

See Also:
  Constant Field Values

### ER_ILLEGAL_ATTRIBUTE_POSITION

    public static final java.lang.String ER_ILLEGAL_ATTRIBUTE_POSITION

See Also:
  Constant Field Values

### ER_ILLEGAL_CHARACTER

    public static final java.lang.String ER_ILLEGAL_CHARACTER

See Also:
  Constant Field Values

### ER_INVALID_PORT

    public static final java.lang.String ER_INVALID_PORT

See Also:
  Constant Field Values

### ER_PORT_WHEN_HOST_NULL

    public static final java.lang.String ER_PORT_WHEN_HOST_NULL

See Also:
  Constant Field Values

### ER_HOST_ADDRESS_NOT_WELLFORMED

    public static final java.lang.String ER_HOST_ADDRESS_NOT_WELLFORMED

See Also:
  Constant Field Values

### ER_SCHEME_NOT_CONFORMANT

    public static final java.lang.String ER_SCHEME_NOT_CONFORMANT

See Also:
  Constant Field Values

### ER_SCHEME_FROM_NULL_STRING

    public static final java.lang.String ER_SCHEME_FROM_NULL_STRING

See Also:
  Constant Field Values

### ER_PATH_CONTAINS_INVALID_ESCAPE_SEQUENCE

    public static final java.lang.String ER_PATH_CONTAINS_INVALID_ESCAPE_SEQUENCE

See Also:
  Constant Field Values

### ER_PATH_INVALID_CHAR

    public static final java.lang.String ER_PATH_INVALID_CHAR

See Also:
  Constant Field Values

### ER_NO_SCHEME_INURI

    public static final java.lang.String ER_NO_SCHEME_INURI

See Also:
  Constant Field Values

### ER_FRAG_INVALID_CHAR

    public static final java.lang.String ER_FRAG_INVALID_CHAR

See Also:
  Constant Field Values

### ER_FRAG_WHEN_PATH_NULL

    public static final java.lang.String ER_FRAG_WHEN_PATH_NULL

See Also:
  Constant Field Values

### ER_FRAG_FOR_GENERIC_URI

    public static final java.lang.String ER_FRAG_FOR_GENERIC_URI

See Also:
  Constant Field Values

### ER_NO_SCHEME_IN_URI

    public static final java.lang.String ER_NO_SCHEME_IN_URI

See Also:
  Constant Field Values

### ER_CANNOT_INIT_URI_EMPTY_PARMS

    public static final java.lang.String ER_CANNOT_INIT_URI_EMPTY_PARMS

See Also:
  Constant Field Values

### ER_NO_FRAGMENT_STRING_IN_PATH

    public static final java.lang.String ER_NO_FRAGMENT_STRING_IN_PATH

See Also:
  Constant Field Values

### ER_NO_QUERY_STRING_IN_PATH

    public static final java.lang.String ER_NO_QUERY_STRING_IN_PATH

See Also:
  Constant Field Values

### ER_NO_PORT_IF_NO_HOST

    public static final java.lang.String ER_NO_PORT_IF_NO_HOST

See Also:
  Constant Field Values

### ER_NO_USERINFO_IF_NO_HOST

    public static final java.lang.String ER_NO_USERINFO_IF_NO_HOST

See Also:
  Constant Field Values

### ER_SCHEME_REQUIRED

    public static final java.lang.String ER_SCHEME_REQUIRED

See Also:
  Constant Field Values

### ER_XML_VERSION_NOT_SUPPORTED

    public static final java.lang.String ER_XML_VERSION_NOT_SUPPORTED

See Also:
  Constant Field Values

### ER_FACTORY_PROPERTY_MISSING

    public static final java.lang.String ER_FACTORY_PROPERTY_MISSING

See Also:
  Constant Field Values

### ER_ENCODING_NOT_SUPPORTED

    public static final java.lang.String ER_ENCODING_NOT_SUPPORTED

See Also:
  Constant Field Values

Constructor Detail

### MsgKey

    public MsgKey()

Copyright © 2005 Apache XML Project. All Rights Reserved.